Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622291 - [abrt] crash in fedora-packager-0.5.1.0-1.fc12: __init__.py:580:file_exists:error: (35, 'SSL connect error')
[abrt] crash in fedora-packager-0.5.1.0-1.fc12: __init__.py:580:file_exists:e...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:6112e6a9
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 14:28 EDT by David Juran
Modified: 2013-01-10 01:08 EST (History)
2 users (show)

See Also:
Fixed In Version: fedora-packager-0.5.1.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 01:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (954 bytes, text/plain)
2010-08-08 14:28 EDT, David Juran
no flags Details

  None (edit)
Description David Juran 2010-08-08 14:28:39 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedpkg new-sources Vuze_4500_source.zip
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.32.16-150.fc12.x86_64
package: fedora-packager-0.5.1.0-1.fc12
reason: __init__.py:580:file_exists:error: (35, 'SSL connect error')
release: Fedora release 12 (Constantine)

backtrace
-----
__init__.py:580:file_exists:error: (35, 'SSL connect error')

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 959, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 540, in new_sources
    mymodule.upload(args.files, replace=args.replace)
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 1278, in upload
    if lookaside.file_exists(self.module, file_basename, file_hash):
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 580, in file_exists
    curl.perform()
error: (35, 'SSL connect error')

Local variables in innermost frame:
self: <pyfedpkg.Lookaside object at 0x13fa950>
md5sum: 'de37e5022f74f644a865c4097a180bec'
filename: 'Vuze_4500_source.zip'
pkg_name: 'azureus'
post_data: [('name', 'azureus'), ('md5sum', 'de37e5022f74f644a865c4097a180bec'), ('filename', 'Vuze_4500_source.zip')]
curl: <pycurl.Curl object at 0x14f6c90>
buf: <StringIO.StringIO instance at 0x1401488>

How to reproduce
-----
1. fedpkg new-sources Vuze_4500_source.zip
Comment 1 David Juran 2010-08-08 14:28:42 EDT
Created attachment 437463 [details]
File: backtrace
Comment 2 Jesse Keating 2010-08-10 15:10:52 EDT
Just need to trap this error, but you had an ssl connection issue, perhaps your cert has expired?
Comment 3 David Juran 2010-08-11 12:59:09 EDT
Uhm yes, expired certificate was the root problem...
Comment 4 Jesse Keating 2010-08-12 03:16:47 EDT
Trapping the error now.
Comment 5 Fedora Update System 2010-08-12 15:53:49 EDT
python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-1.el5
Comment 6 Fedora Update System 2010-08-12 15:57:22 EDT
fedora-packager-0.5.1.2-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc14
Comment 7 Fedora Update System 2010-08-12 16:01:50 EDT
fedora-packager-0.5.1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc13
Comment 8 Fedora Update System 2010-08-12 16:07:44 EDT
fedora-packager-0.5.1.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc12
Comment 9 Fedora Update System 2010-08-13 17:06:43 EDT
fedora-packager-0.5.1.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-2.fc13
Comment 10 Fedora Update System 2010-08-13 18:39:21 EDT
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager python-kitchen'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-2.el5
Comment 11 Fedora Update System 2010-08-17 01:36:16 EDT
fedora-packager-0.5.1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-08-24 17:09:29 EDT
fedora-packager-0.5.1.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-08-24 19:03:55 EDT
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-08-24 21:19:39 EDT
fedora-packager-0.5.1.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.